var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class Need extends APIBase {
    constructor() {
        super();
        this.txPushLogSve = system.getObject("service.common.txPushLogSve");
    }
    /**
      * 接口跳转-POST请求
      * action_process  执行的流程
      * action_type     执行的类型
      * action_body     执行的参数
      */
    async springBoard(pobj, qobj, req) {
        if (!pobj.interface || !pobj.interface.interfaceName) {
            return system.getResult(null, "interfaceName参数不能为空");
        }
        var result = await this.opActionProcess(pobj, pobj.interface, req);
        return result;
    }
    async opActionProcess(pobj, action_type, req) {
        var opResult = null;
        switch (action_type) {
            case "qcloud.cbs.CreateCbsInstance"://支付回调
                opResult = await this.txPushLogSve.createCbsInstance(pobj);
                break;
            case "qcloud.PRODUCT_NAME.queryFlow"://发货状态查询
                opResult = await this.txPushLogSve.queryFlow(pobj);
                break;
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }

}
module.exports = Need;
