const system = require("../../../system");
const ServiceBase = require("../../sve.base");
var settings = require("../../../../config/settings");
class TxPushLogService extends ServiceBase {
  constructor() {
    super("common", ServiceBase.getDaoName(TxPushLogService));
  }

  returnTX(status, componentName, message, data) {
    return {
      "version": 1,
      "componentName": componentName,
      "returnValue": status,
      "returnCode": status,
      "returnMessage": message,
      "data": data
    }

  }

  async createCbsInstance(pobj, req) {
    if (!pobj.interface.para.dealName) {
      return self.returnTX(-1, "cgateway", "参数错误", null)
    }
    var loginfo = await this.findOne({ deal_name: pobj.interface.para.dealName, push_action_type: "orderPayNotify" });
    if (loginfo) {
      return self.returnTX(1, "cgateway", "ok", {"flowId":loginfo.flow_id,"resourceIds":[pobj.interface.para.dealName]})
    }
    var flow_id=this.getBusUid("f");
    var newobj = {
      flow_id: flow_id,
      deal_name: pobj.interface.para.dealName,
      request_url: "qcloud.PRODUCT_NAME.createResource",
      requestjson: pobj,
      push_url: "/api/action/order/springBoard",
      push_action_type: "orderPayNotify",
      push_status: "2",
    }
    var creatlog= await this.create(newobj);
    if(!creatlog){
      return self.returnTX(-1, "cgateway", "参数错误", null)
    }

    var pushobj = {
      "actionType": "orderSubmit",// Y 功能名称
      "actionBody": {
        notifyUrl: "http://192.168.1.113:4011/api/action/need/springBoard",
        actionType: "queryFlow",
        pushUrl: settings.apiconfig.opPushUrl() + "/entService/consultation/springBoard",
        messageBody: actionBody,
        identifyCode: "needSubmit"
      }
    };
    this.execPostByTimeOut(pushobj, settings.apiconfig.opPushUrl());
    
    return self.returnTX(1, "cgateway", "ok", {"flowId":loginfo.flow_id,"resourceIds":[pobj.interface.para.dealName]})
  }

  async queryFlow(pobj) {
    if (!pobj.interface.para.flowId) {
      return self.returnTX(-1, "cgateway", "参数错误", null)
    }
    var loginfo = await this.findOne({ flow_id: pobj.interface.para.flowId, push_action_type: "orderPayNotify" });
    if (!loginfo) {
      return self.returnTX(-1, "cgateway", "产品不存在", null)
    }
    return self.returnTX(1, "cgateway", "ok", {"status":loginfo.push_status})
  }

  async isolateResource(pobj){
    if (!pobj.interface.para.resourceId) {
      return self.returnTX(-1, "cgateway", "参数错误", null)
    }
    
  }

  async queryResources(pobj){

  }



}
module.exports = TxPushLogService;
